> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mf-atlas.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Place order

> Validated and persisted synchronously; dispatched to the exchange asynchronously.



## OpenAPI

````yaml /openapi.yaml post /api/orders/v1/
openapi: 3.0.3
info:
  title: MF Atlas API
  version: 1.0.0
servers:
  - description: Sandbox
    url: https://api-sandbox.mf-atlas.space
  - description: Production
    url: https://api.mf-atlas.space
security: []
paths:
  /api/orders/v1/:
    post:
      tags:
        - orders
      summary: Place order
      description: >-
        Validated and persisted synchronously; dispatched to the exchange
        asynchronously.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                all_units:
                  type: boolean
                amount:
                  type: number
                bank_account_id:
                  type: string
                client_ref:
                  type: string
                euin:
                  type: object
                folio_no:
                  type: string
                holding_mode:
                  description: CDSL|NSDL|PHYSICAL.
                  type: string
                investment_account_id:
                  description: >-
                    Required. The investor's investment account this order is
                    filed under, e.g. A_RT_000001.
                  type: string
                investor_id:
                  type: string
                mandate_id:
                  type: string
                order_type:
                  description: >-
                    LUMPSUM_PURCHASE|REDEMPTION|SWITCH|SIP|XSIP|STP|SWP|SIP_TOPUP.
                  type: string
                purchase_type:
                  description: FRESH|ADDITIONAL.
                  type: string
                remarks:
                  type: string
                scheme_code:
                  type: string
                sip:
                  type: object
                stp:
                  type: object
                sub_broker_arn:
                  type: string
                switch:
                  type: object
                swp:
                  type: object
                units:
                  type: number
              type: object
        description: Order
      responses:
        '202':
          content:
            application/json:
              schema:
                properties:
                  client_ref:
                    type: string
                  created_at:
                    type: string
                  id:
                    type: string
                  order_type:
                    type: string
                  status:
                    type: string
                type: object
          description: Accepted for dispatch

````